Bug 471897 - Patch to add support for "Pantech USB" 3G/CDMA cards (verizon) to NetworkManager
Patch to add support for "Pantech USB" 3G/CDMA cards (verizon) to NetworkManager
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-17 10:42 EST by Will Foster
Modified: 2009-07-14 10:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:35:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add this to "/usr/share/hal/fdi/information/10freedesktop/10-modem.fdi" and it will work (521 bytes, patch)
2008-11-17 10:42 EST, Will Foster
no flags Details | Diff

  None (edit)
Description Will Foster 2008-11-17 10:42:19 EST
Created attachment 323775 [details]
Add this to "/usr/share/hal/fdi/information/10freedesktop/10-modem.fdi" and it will work

Description of problem:

NetworkManager does not pickup new "Pantech USB" CDMA/3G EVDO Cards

Version-Release number of selected component (if applicable):


How reproducible:

Is not picked up in Fedora 9 or Fedora 10/Rawhide

Steps to Reproduce:
1. Plug in pantech USB CDMBA/3G  card
2. Shows up in lsusb, hal-device, networkmanager does not see it
3. add the lines in pantech_usb.txt to:
"/usr/share/hal/fdi/information/10freedesktop/10-modem.fdi"

4) restart NetworkManager (service NetworkManager restart)
5) Now it should work in F9/F10
  

Additional info:

I have attached "pantech_usb.txt" which contains the string needed to pick this piece of hardware up through NetworkManager.  

Additional Hardware Info:

--LSUSB--
Bus 004 Device 002: ID 106c:3714 Curitel Communications, Inc.

--DMESG--
usb 4-1: new full speed USB device using uhci_hcd and address 2
usb 4-1: configuration #1 chosen from 1 choice
usb 4-1: New USB device found, idVendor=106c, idProduct=3714
usb 4-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 4-1: Product: PANTECH USB MODEM
usb 4-1: Manufacturer: PANTECH
cdc_acm 4-1:1.0: ttyACM0: USB ACM device
usbcore: registered new interface driver cdc_acm
---------

---HAL DEVICE OUTPUT----
0: udi = '/org/freedesktop/Hal/devices/usb_device_106c_3714_noserial_if0_serial_unknown_0'
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1/4-1:1.0/tty/ttyACM0'  (string)
  serial.type = 'unknown'  (string)
  info.subsystem = 'tty'  (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_106c_3714_noserial_if0'  (string)
  info.product = 'Serial Port'  (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_106c_3714_noserial_if0_serial_unknown_0'  (string)
  linux.device_file = '/dev/ttyACM0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'tty'  (string)
  info.capabilities = { 'serial', 'modem', 'modem' } (string list)
  modem.command_sets = { 'IS-707-A', 'V.250' } (string list)
  info.category = 'serial'  (string)
  serial.originating_device = '/org/freedesktop/Hal/devices/usb_device_106c_3714_noserial_if0'  (string)
  serial.device = '/dev/ttyACM0'  (string)
  serial.port = 0  (0x0)  (int)

1: udi = '/org/freedesktop/Hal/devices/usb_device_106c_3714_noserial_if0'
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1/4-1:1.0'  (string)
  info.subsystem = 'usb'  (string)
  usb.can_wake_up = false  (bool)
  usb.linux.device_number = 2  (0x2)  (int)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_106c_3714_noserial'  (string)
  usb.vendor = 'Curitel Communications, Inc.'  (string)
  usb.device_class = 2  (0x2)  (int)
  info.product = 'USB Communications Interface'  (string)
  usb.bus_number = 4  (0x4)  (int)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_106c_3714_noserial_if0'  (string)
  usb.product = 'USB Communications Interface'  (string)
  usb.device_subclass = 0  (0x0)  (int)
  info.linux.driver = 'cdc_acm'  (string)
  usb.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1/4-1:1.0'  (string)
  usb.speed = 12  (double)
  usb.device_revision_bcd = 256  (0x100)  (int)
  usb.interface.number = 0  (0x0)  (int)
  linux.hotplug_type = 2  (0x2)  (int)
  info.bus = 'usb'  (string)
  usb.device_protocol = 0  (0x0)  (int)
  usb.interface.class = 2  (0x2)  (int)
  linux.subsystem = 'usb'  (string)
  usb.version = 1.1  (double)
  usb.interface.subclass = 2  (0x2)  (int)
  usb.vendor_id = 4204  (0x106c)  (int)
  usb.num_configurations = 1  (0x1)  (int)
  usb.interface.protocol = 1  (0x1)  (int)
  usb.is_self_powered = true  (bool)
  usb.num_ports = 0  (0x0)  (int)
  usb.product_id = 14100  (0x3714)  (int)
3: udi = '/org/freedesktop/Hal/devices/usb_device_106c_3714_noserial_if1'
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1/4-1:1.1'  (string)
  info.subsystem = 'usb'  (string)
  usb.can_wake_up = false  (bool)
  usb.linux.device_number = 2  (0x2)  (int)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_106c_3714_noserial'  (string)
  usb.vendor = 'Curitel Communications, Inc.'  (string)
  usb.device_class = 2  (0x2)  (int)
  info.product = 'USB Data Interface'  (string)
  usb.bus_number = 4  (0x4)  (int)
  usb.interface.description = 'Data Interface'  (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_106c_3714_noserial_if1'  (string)
  usb.product = 'USB Data Interface'  (string)
  usb.device_subclass = 0  (0x0)  (int)
  usb.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1/4-1:1.1'  (string)
  usb.speed = 12  (double)
  usb.device_revision_bcd = 256  (0x100)  (int)
  usb.interface.number = 1  (0x1)  (int)
linux.hotplug_type = 2  (0x2)  (int)
  info.bus = 'usb'  (string)
  usb.device_protocol = 0  (0x0)  (int)
  usb.interface.class = 10  (0xa)  (int)
  linux.subsystem = 'usb'  (string)
  usb.version = 1.1  (double)
  usb.interface.subclass = 0  (0x0)  (int)
  usb.vendor_id = 4204  (0x106c)  (int)
  usb.num_configurations = 1  (0x1)  (int)
  usb.interface.protocol = 0  (0x0)  (int)
  usb.is_self_powered = true  (bool)
  usb.num_ports = 0  (0x0)  (int)
  usb.product_id = 14100  (0x3714)  (int)

4: udi = '/org/freedesktop/Hal/devices/usb_device_106c_3714_noserial'
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1'  (string)
  info.subsystem = 'usb_device'  (string)
  usb_device.device_protocol = 0  (0x0)  (int)
  usb_device.version = 1.1  (double)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_1d6b_1_0000_00_1d_2'  (string)
  usb_device.vendor_id = 4204  (0x106c)  (int)
  info.vendor = 'Curitel Communications, Inc.'  (string)
  info.product = 'PANTECH USB MODEM'  (string)
  usb_device.is_self_powered = true  (bool)
  usb_device.product_id = 14100  (0x3714)  (int)
  usb_device.can_wake_up = false  (bool)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_106c_3714_noserial'  (string)
  info.linux.driver = 'usb'  (string)
  usb_device.vendor = 'Curitel Communications, Inc.'  (string)
  usb_device.bus_number = 4  (0x4)  (int)
  usb_device.product = 'PANTECH USB MODEM'  (string)
  linux.device_file = '/dev/bus/usb/004/002'  (string)
  usb_device.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.2/usb4/4-1'  (string)
  usb_device.device_revision_bcd = 256  (0x100)  (int)
  linux.hotplug_type = 2  (0x2)  (int)
  info.bus = 'usb_device'  (string)
  linux.subsystem = 'usb'  (string)
  usb_device.num_configurations = 1  (0x1)  (int)
  usb_device.num_ports = 0  (0x0)  (int)
  usb_device.linux.device_number = 2  (0x2)  (int)
  usb_device.device_class = 2  (0x2)  (int)
  usb_device.device_subclass = 0  (0x0)  (int)
  usb_device.speed = 12  (double)
Comment 1 Will Foster 2008-11-17 11:06:28 EST
Model number from verizon website is: UM175

http://www.verizonwireless.com/b2c/store/controller?item=phoneFirst&action=viewPhoneDetail&selectedPhoneId=3926
Comment 2 Dan Williams 2008-11-17 11:09:48 EST
committed upstream to hal-info; just need Richard or Matthew or somebody to do an update.
Comment 3 Bug Zapper 2009-06-09 23:17:38 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 10:35:50 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.